#include<bits/stdc++.h>
using namespace std;
priority_queue<pair<int, int> > ul;
bool in[100005];
long long Resi(int n, int* a, int* b){
    for(int i=1; i<=n; ++i){
            in[i]=false;
            ul.push(make_pair(-a[i], i));
    }
    long long sol=0;
    for(int t=0; t<2*n; ++t){
        if((-t)==ul.top().first){
            pair<int, int> x=ul.top();
            in[x.second]=true;
            ul.pop();
            long long s1=0, s2=0;
            for(int i=1; i<=n; ++i){
                if(in[i]){
                    if(x.first+b[i]>0) s1++;
                    else s2++;
                }
            }
            sol+=min(s1, s2);
            continue;
        }
        for(int i=1; i<=n; ++i){
            if(b[i]==t){
                in[i]=false;
                break;
            }
        }
    }
    return sol;
}